package com.zmkm.shop.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@AllArgsConstructor
public enum ResultCodeEnum {
	HTTP_OK(200, "成功"),
	HTTP_LOGIN(201, "用户没有登陆"),
	HTTP_PARAMS_ERROR(400, "输入参数错误"),
	HTTP_USER_UNAUTHORIZED(401,"没有权限，请联系管理员！"),
	HTTP_ORIGINAL_PASSWORD_ERROR(402,"原密码错误"),
	HTTP_FORBIDDEN(403,"没有权限"),
	HTTP_ERROR(500, "系统异常");
	@Getter
	@Setter
	int code;
	@Getter
	@Setter
	String msg;


}
