package com.zmkm.shop.base.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 自动注入操作用户，名称以及时间
 * 字段：operator,operator_name,create_time,update_time
 * @author sonny
 *
 */
@Getter
@Setter
public abstract class BaseUserNameTime implements Serializable {
    @TableField(value = "operator",fill = FieldFill.INSERT_UPDATE)
    private Long operator;
    @TableField(value = "operator_name",fill = FieldFill.INSERT_UPDATE)
    private String operatorName;//操作用户名
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Long createTime;//创建时间
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    private Long updateTime;//操作时间
}
