package com.zmkm.shop.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
@AllArgsConstructor
public enum LoginResultEnum {
	Login_Success(1, "登陆成功！"),
	UnknownAccount_Exception(2, "用户名不存在！"),
	DisabledAccount_Exception(3,"用户不可用！"),
	IncorrectCredentials_Exception(4, "密码错误！"),
	NotHaveOrganization_Exception(5, "没有机构请联系系统管理员！"),
	NotHaveMenu_Exception(6, "没有菜单请联系系统管理员！");

	@Getter
	@Setter
	int code;
	@Getter
	@Setter
	String value;


}
