package com.zmkm.shop.filter;

import org.apache.shiro.web.filter.authz.PermissionsAuthorizationFilter;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**   
* @Title: URLPermissionsFilter.java 
* @Package com.opensesame.platform.web.shiro.filter 
* @Description: TODO(鉴权过滤器，以菜单url方式过滤) 
* @author Kaihua Shen
* @date 2017年11月10日 下午5:06:54 
*/
public class URLPermissionsFilter extends PermissionsAuthorizationFilter {
	@Override
	public boolean isAccessAllowed(ServletRequest request, ServletResponse response, Object mappedValue)
			throws IOException {
		HttpServletRequest req = (HttpServletRequest) request;
		String [] perms = new String [1];
		perms[0] = req.getServletPath();
		return super.isAccessAllowed(request, response, perms);
	}
}
