package com.zmkm.shop.modules.test.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.zmkm.shop.base.controller.BaseController;
import com.zmkm.shop.base.result.BaseResult;
import com.zmkm.shop.modules.test.domain.Dict;
import com.zmkm.shop.modules.test.service.DictService;
import com.zmkm.shop.modules.test.service.impl.DictServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("dict")
@Api(value = "字典", tags = "字典")
public class DictController extends BaseController {
    @Autowired
    DictServiceImpl dictService;

    @PostMapping("/list")
    @ApiOperation(value = "列表", notes = "列表", response = String.class)
    public BaseResult<Object> list(){
        BaseResult<Object> br = new BaseResult<>();
        dictService.receiveDataSyn();
        return br;
    }

}
