package com.zmkm.shop.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DateUtils {
    public static final String DATE_TIME_FORMAT = "yyyy/MM/dd HH:mm:ss";
    public static String getYesterdayTime(String date){
        Calendar cal=Calendar.getInstance();
        cal.setTime(StrToDate(date));
        cal.add(Calendar.DATE,-1);
        return DateToStr(cal.getTime());
    }
    public static String DateToStr(Date date) {
        SimpleDateFormat format = new SimpleDateFormat(DATE_TIME_FORMAT);
        String str = format.format(date);
        return str;
    }
    public static Date StrToDate(String str) {
        SimpleDateFormat format = new SimpleDateFormat(DATE_TIME_FORMAT);
        Date date = null;
        try {
            date = format.parse(str);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return date;
    }

}
